libusb-java_0.8+ztex20090101-7_all.deb


Advertisement

Description

libusb-java - Java wrapper for libusb

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libusb-java
Package version: 0.8+ztex20090101
Package release: 7
Package architecture: all
Package type: deb
Installed size: 22 B
Download size: 20.23 KB
Official Mirror: ftp.br.debian.org
This Java library wraps the C library libusb (0.1). It is designed to support user level applications to access USB devices regardless of the operating system.

Alternatives

Requires

    Download

    Source package: libusb-java

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libusb-java deb package:
      # sudo apt-get install libusb-java

    Files

    • /usr/share/doc/libusb-java/changelog.Debian.gz
    • /usr/share/doc/libusb-java/copyright
    • /usr/share/java/libusb.jar

    Changelog

    2013-11-12 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-7) unstable; urgency=low * Reverting previous change for locating jni.h, let us hope it all now just builds for everyone (Closes: #728293), many thanks to James Page again.

    2013-10-08 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-6) unstable; urgency=low * The NMU addressed James' report already (Closes: #711843). * Bumping policy compliance to 3.9.4. * Transcribed umlaut in source tree (patch) to help encoding issue, despite it technically already been addressed by Gregor.

    2013-05-22 - gregor herrmann <gregoa@debian.org> libusb-java (0.8+ztex20090101-5.1) unstable; urgency=low * Non-maintainer upload. * Fix "Transition package to use default java implementation + java 7 compatibility": apply patch from Ubuntu / James Page (after adjusting it to apply against -5): Transition package to use default java implementation: - d/control: BD on default-jdk (>= 1:1.6). - d/rules: Specify source = 1.5 during javadoc generation. - d/patches/java-compat.patch: Specify source/target = 1.5 to ensure that bytecode is backwards compatible and avoid Java 7 errors. Additionally add -encoding to d/rules and d/patches/java-compat.patch (Closes: #684154)

    2012-09-14 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-5) unstable; urgency=low * Fix of FTBFS stimulated by patch from Konstantinos Margaritis (Closes: #641152) * Solved mysterious issue with sharedLibrary patch * Policy compliance declared against 3.9.3 - Added reference to Vcs in debian/control

    2011-09-09 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-4) unstable; urgency=low * Added javadoc * Removed .java files from .jar * Separated architecture-dependent files * Eliminated lintian warning on jre dependency. * Removed special notion of 64bit with Debian

    2011-09-05 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-3) unstable; urgency=low * Added creation of jar file

    2011-08-05 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-2) unstable; urgency=low * Addressing those embarrasing build failures (Closes: #637762).

    2011-07-28 - Steffen Moeller <moeller@debian.org> libusb-java (0.8+ztex20090101-1) unstable; urgency=low * Initial release (Closes: #635661)

    Advertisement
    Advertisement